#include "Hiccupd.hpp"

namespace hiccup {
  
class BpHiccupd : public BpInterface<IHiccupd> {
  public:
    BpHiccupd(const sp<IBinder>& impl) : BpInterface<IHiccupd>(impl) {
      ALOGD("BpHiccupd::BpHiccupd()");
    }
    Vector<LogFile> *getLogs();
    Vector<LogFile> *getLastKmsg();
    status_t cleanLogs();
    status_t startLogging();
    status_t stopLogging();
    String16 getBootReason();
    String16 getPowerOnReason();
    String16 getPowerOffReason();
    int32_t  getApiVersion();
};

sp<IHiccupd> getHiccupService();

} /* namespace hiccup */
