#include "BpHiccupd.hpp"

using namespace android;
using namespace hiccup;

void print_file(int fd) {
  char buf[64];
  while ( read(fd, buf, 64)) {
    printf("%s",buf);
  }
}

int main(int argc, char ** argv) {
  sp<IHiccupd> hiccupd= getHiccupService();
  
  if (hiccupd == 0) {
    printf("Could connect to hiccup service\n");
    return 1;
  }
  Vector<LogFile> *v = hiccupd->getLogs();
  if (v) {
    printf("received %i\n",v->size());
  }
  for (Vector<LogFile>::const_iterator it = v->begin() ; it != v->end(); ++it) {
    print_file(it->fd); 
  }
  return 0;
} /* namespace hiccup */
